Doomsday Engine - Bug #2259

Mouse unusable on ArchLinux with Ghome / Wayland
2017-07-23 16:26 - Paullux

Status: New Start date: 2017-07-23
Priority: Normal % Done: 0%
Assignee:

Category: 3rd party compatibility

Target version: 3.0

Description

Hello,

In Gnome, wayland replace Xorg, and in Wayland there is a problem with the mouse, it is unusable.
In logging, | can choose Gnome on Xorg, and there ins't the problem with the mouse.

Can you adapt Doomesday to Wayland please ?

Related issues:
Related to Feature #1886: Use SDL 2 for window management, display modes, col... In Progress  2014-10-20

History

#1 - 2017-07-24 08:22 - skyjake

- Related to Feature #1886: Use SDL 2 for window management, display modes, color correction, and keyboard/mouse/gamepad input added

#2 - 2017-07-24 08:22 - skyjake
- Subject changed from | am on ArchLinux with Gnome on Wayland to Mouse unusable on ArchLinux with Gnome / Wayland

- Category set to 3rd party compatibility

#3 - 2017-07-28 14:27 - skyjake

- Target version set to 2.1 (Late 2018)

#4 - 2017-07-28 14:45 - skyjake

At the moment, the best solution | see for this issue is to use SDL 2 for window management and key/mouse input. This should also get around

certain problems that are present on other platforms.

#5 - 2018-07-29 16:44 - skyjake
- Target version changed from 2.1 (Late 2018) to 3.0
